dpkg-genchanges(1)

NOME
dpkg-genchanges - gera ficheiros .changes Debian

SINOPSE
dpkg-genchanges [option...]

DESCRIÇÃO
dpkg-genchanges lê informação a partir de uma árvore fonte de compilação Debian desempacotada e dos ficheiros que ela gerou e gera um ficheiro de controle de envio Debian (o ficheiro .changes).

OPÇÕES

--build=type
    Especifica o type de compilação a partir de uma lista de componentes separados por vírgulas (desde dpkg 1.18.5).

    Os valores permitidos são:

    source
        Envia o pacote fonte (Upload).

    any Envia os pacotes binários específicos de arquitectura.

    all Envia os pacotes binários independentes de arquitectura.

    binary
        Envia os pacotes binários independentes e específicos de arquitectura. Isto é uma alias para any,all.

    full
        Envia tudo. Isto é um alias para source,any,all, e o mesmo que o caso predefinido quando não é especificada nenhuma opção de compilação.

-g  Equivalente a --build=source,all (desde dpkg 1.17.11).

-G  Equivalente a --build=source,any (desde dpkg 1.17.11).

-b  Equivalente a --build=binary ou --build=any,all.

-B  Equivalente a --build=any.

-A  Equivalente a --build=all.

-S  Equivalente a --build=source.

As opções -sx controlam se o arquivo fonte original é incluído no envio se alguma fonte estiver a ser gerada (isto é, -b or -B não foram usados).

-si Por predefinição, ou se especificado, a fonte original será incluída apenas se o número da versão do autor (a versão sem a época e sem a revisão Debian) diferir do número da versão de autor da entrada anterior no changelog.

-sa Força a inclusão da fonte original.

-sd Força a exclusão da fonte original e inclui só o diff.

-vversion
    Faz com que a informação do changelog de todas as versões seja estritamente posterior do que a version a ser usada.

-Cchanges-description
    Lê a descrição das alterações a partir do ficheiro changes-description em vez de usar a informação do ficheiro changelog da árvore fonte.

-mmaintainer-address
    Usa maintainer-address como o nome e endereço de email do maintainer deste pacote, em vez de usar a informação do ficheiro de controle da árvore fonte.

-emaintainer-address
    Usa maintainer-address como o nome e endereço de email do maintainer deste pacote, em vez de usar a informação do changelog da árvore fonte.

-Vname=value
    Define uma variável de substituição de saída. Veja deb-substvars(5) para uma discussão sobre substituição da saída.

-Tsubstvars-file
    Lê variáveis de substituição em substvars-file; a predefinição é debian/substvars. Nenhuma substituição de variável é feita em nenhum dos campos resultantes, excepto para o conteúdo extraído do campo Description de cada pacote binário (desde dpkg 1.19.0), no entanto, a variável especial Format irá sobrepor o campo com o mesmo nome. Esta opção pode ser usada várias vezes para ler varáveis de substituição de vários ficheiros (desde dpkg 1.15.6).

-Dfield=value
    Sobrepõe ou adiciona um campo de ficheiro de controle de resultado.

-Ufield
    Remove um campo de ficheiro de controle de resultado.

-ccontrolfile
    Especifica o ficheiro de controle fonte principal de onde ler informação. A predefinição é debian/control.

-lchangelog-file
    Especifica o ficheiro de registo de alterações de onde ler informação. A predefinição é debian/changelog.

-ffiles-list-file
    Lê a lista de ficheiros a serem enviados aqui, em vez de usar debian/files.

-Fchangelog-format
    Especifica o formato do registo de alterações. Veja dpkg-parsechangelog(1) para informação acerca dos formatos alternativos.

-uupload-files-dir
    Procura pelos ficheiros a serem enviados em upload-files-dir em vez de .. (dpkg-genchanges precisa de encontrar estes ficheiros para que possa incluir os seus tamanhos e somatórios de verificação no ficheiro .changes).

-q  Geralmente dpkg-genchanges irá produzir mensagens informativas no erro standard, por exemplo acerca de quantos dos ficheiros fonte do pacote estão a ser enviados. -q suprime essas mensagens.

-O[filename]
    Escreve o ficheiro de alterações na saída standard (o predefinido) ou para filename se especificado (desde dpkg 1.18.5).

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

FICHEIROS

debian/files
    A lista de ficheiros gerados que são parte do envio (upload) que está a ser preparado. O dpkg-genchanges lê os dados aqui quando produz um ficheiro .changes.

VEJA TAMBÉM
deb-substvars(5), deb-src-control(5), deb-src-files(5), deb-changelog(5), deb-changes(5).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.